<?php
/**
 * Raise Charity Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Raise Charity Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function raise_charity_pro_custom_colors_css() {
  	$options= raise_charity_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	#top-bar,
	.main-navigation .count,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"],
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.author-name:after,
	.reply a,
	.btn,
	.slick-prev, 
	.slick-next,
	.slick-dots li.slick-active button,
	#our-services .read-more a:hover,
	#our-services .read-more a:focus,
	#recommended-hotels .btn:hover,
	#recommended-hotels .btn:focus,
	#subscribe-now button[type="submit"],
	.wp-travel-filter form input[type="submit"],
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	#products-collection article:nth-child(odd) .btn:hover,
	#products-collection article:nth-child(odd) .btn:focus,
	span.discount-offer,
	.third-design .cat-links a,
	.fourth-design .btn:hover:before,
	.fourth-design .btn:focus:before { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_courses .course-wrapper h5 a:hover,
	.widget_featured_courses .course-wrapper h5 a:focus,
	.widget_featured_courses .tp-course-price,
	.widget_popular_courses .course-wrapper h5 a:hover,
	.widget_popular_courses .course-wrapper h5 a:focus,
	.widget_popular_courses .tp-course-price,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.page-header small,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.section-subtitle,
	#about-us .entry-title a:hover,
	#about-us .entry-title a:focus,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	#our-services .read-more a,
	#popular-destinations .entry-title a:hover,
	#popular-destinations .entry-title a:focus,
	#recommended-hotels .slick-filtering ul li.active a,
	.trip-price,
	#recommended-hotels .btn,
	#testimonial-section .client-name span a:hover,
	#testimonial-section .client-name span a:focus,
	.archive-blog-wrapper .entry-title a:hover,
	.archive-blog-wrapper .entry-title a:focus,
	.wp-travel-archive-content .description-left .entry-title a:hover,
	.wp-travel-archive-content .description-left .entry-title a:focus,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:hover,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:focus,
	.ws-theme-cart-page .ws-theme-cart-list .item_cart h4 a:hover,
	.ws-theme-cart-page .ws-theme-cart-list .item_cart h4 a:focus,
	ul.post-categories li a,
	.product_meta a:hover,
	.product_meta a:focus,
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.woocommerce ul.products li.product .price,
	.woocommerce ul.products li.product .price,
	#trending-products .entry-title a:hover,
	#trending-products .entry-title a:focus,
	#trending-products .price,
	.fourth-design .btn:hover,
	.fourth-design .btn:focus,
	.seventh-design #recommended-hotels .entry-content,
	.eighth-design #recommended-hotels .entry-content,
	.ninth-design #recommended-hotels .entry-content,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .widget_text .widget-title,
	#colophon .site-info a {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.loader-container svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	.more-link a svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"],
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.reply a,
	.btn,
	.slick-prev, 
	.slick-next,
	.slick-dots li button,
	#our-services .read-more a:hover,
	#our-services .read-more a:focus,
	#recommended-hotels .btn:hover,
	#recommended-hotels .btn:focus,
	#subscribe-now button[type="submit"],
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	#products-collection article:nth-child(odd) .btn:hover,
	#products-collection article:nth-child(odd) .btn:focus,
	.eighth-design #our-services .service-item-wrapper { 
		border-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.eighth-design #our-services .service-item-wrapper { 
		box-shadow: 4px 4px 0 0 ' . esc_attr($color_value) . '; 
	}';


	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Raise Charity Pro custom colors CSS.
	 *
	 * @since Raise Charity Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'raise_charity_pro_custom_colors_css', $css );
}
