<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Raise Charity Pro
 * @since Raise Charity Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'raise_charity_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','raise-charity-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'raise-charity-pro' ),
	'panel'             => 'raise_charity_pro_front_page_panel',
) );

// topbar enable/disable control and setting
$wp_customize->add_setting( 'raise_charity_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'raise_charity_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Raise_Charity_Pro_Switch_Control( $wp_customize, 'raise_charity_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'raise-charity-pro' ),
	'section'           => 'raise_charity_pro_topbar_section',
	'on_off_label' 		=> raise_charity_pro_switch_options(),
) ) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'raise_charity_pro_theme_options[secondary_menu_enable]', array(
	'default'			=> 	$options['secondary_menu_enable'],
	'sanitize_callback' => 'raise_charity_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Raise_Charity_Pro_Switch_Control( $wp_customize, 'raise_charity_pro_theme_options[secondary_menu_enable]', array(
	'label'             => esc_html__( 'Secondary Menu Enable', 'raise-charity-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show secondary menu.', 'raise-charity-pro' ), esc_html__( 'Click Here', 'raise-charity-pro' ), esc_html__( 'to create menu', 'raise-charity-pro' ) ),
	'section'           => 'raise_charity_pro_topbar_section',
	'active_callback'   => 'raise_charity_pro_is_topbar_section_enable',
	'on_off_label' 		=> raise_charity_pro_switch_options(),
) ) );


// Topbar content enable control and setting
$wp_customize->add_setting( 'raise_charity_pro_theme_options[social_menu_enable]', array(
	'default'			=> 	$options['social_menu_enable'],
	'sanitize_callback' => 'raise_charity_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Raise_Charity_Pro_Switch_Control( $wp_customize, 'raise_charity_pro_theme_options[social_menu_enable]', array(
	'label'             => esc_html__( 'Social Menu Enable', 'raise-charity-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'raise-charity-pro' ), esc_html__( 'Click Here', 'raise-charity-pro' ), esc_html__( 'to create menu', 'raise-charity-pro' ) ),
	'section'           => 'raise_charity_pro_topbar_section',
	'active_callback'   => 'raise_charity_pro_is_topbar_section_enable',
	'on_off_label' 		=> raise_charity_pro_switch_options(),
) ) );

