<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Raise Charity Pro
 * @since Raise Charity Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'raise_charity_pro_pagination', array(
	'title'               => esc_html__('Pagination','raise-charity-pro'),
	'description'         => esc_html__( 'Pagination section options.', 'raise-charity-pro' ),
	'panel'               => 'raise_charity_pro_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'raise_charity_pro_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'raise_charity_pro_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Raise_Charity_Pro_Switch_Control( $wp_customize, 'raise_charity_pro_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'raise-charity-pro' ),
	'section'             => 'raise_charity_pro_pagination',
	'on_off_label' 		=> raise_charity_pro_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'raise_charity_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'raise_charity_pro_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'raise_charity_pro_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'raise-charity-pro' ),
	'section'             => 'raise_charity_pro_pagination',
	'type'                => 'select',
	'choices'			  => raise_charity_pro_pagination_options(),
	'active_callback'	  => 'raise_charity_pro_is_pagination_enable',
) );
